<html>
  <head>
	<link rel="stylesheet" href="https://unpkg.com/purecss@1.0.1/build/pure-min.css" integrity="sha384-oAOxQR6DkCoMliIh8yFnu25d7Eq/PHS21PClpwjOTeU2jRSq11vu66rf90/cZr47" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Merriweather" />
	<link rel="stylesheet" href="{{ url_for('static', filename='css/simple.css') }}">
	<meta http-equiv="refresh" content="60">
    <title>Monitoring</title>
  </head>
  <body>
	

	<div class="content">
	  <h1>Digital Ocean</h1>
	  <table class="pure-table">
		<tbody><tr><td><b>Balance</b></td><td>${{ billing.month_to_date_balance }}</td></tr></tbody>
	  </table>
	  
      {% if k8s %}
      <h2>Kubernetes</h2>
	  
      {% for c in k8s %}
      <table class="pure-table" style="border-radius=25px;">
        <thead>
          <tr>
            <th>{{ c.name }}</th>
            <th>Name</th>
            <th>Size</th>
            <th>Count</th>
          </tr>
        </thead>
        <tbody>
          {% for np in c.node_pools %}
          <tr>
            <th></th>
            <th>{{np.name}}</th>
            <th>{{np.size}}</th>
            <th>{{np.count}}</th>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      {% endfor %}
      {% endif %}
	  
      {% if droplets or bigdroplets %}
      <h2>Droplets</h2>
	  <table class="pure-table" style="border-radius=25px;">
		<thead>
		  <tr>
			<th>Droplet</th>
			<th>Status</th>
			<th>Size</th>
			<th>Cost / h</th>
		  </tr>
		</thead>
		<tbody>
		  {% endif %}
		  {% for droplet in bigdroplets %}
		  <tr class="scary">
			<td><b>{{droplet.name}}</b></td>
			<td>{{droplet.status}}</td>
			<td>{{droplet.size_slug}}</td>
			<td>${{droplet.price_hourly}}</td>
		  </tr>
		  {% endfor %}
		  {% for droplet in droplets %}
		  <tr>
			<td><b>{{droplet.name}}</b></td>
			<td>{{droplet.status}}</td>
			<td>{{droplet.size_slug}}</td>
			<td>${{droplet.price_hourly}}</td>
		  </tr>
		  {% endfor %}
		  {% if droplets or bigdroplets %}
		</tbody>
	  </table>
      {% endif %}
	  
      {% if volumes %}
      <h2>Volumes</h2>
      <table class="pure-table" style="border-radius=25px;">
        <thead>
          <tr>
            <th>Name</th>
            <th>Size</th>
          </tr>
        </thead>
        <tbody>
          {% for v in volumes %}
          <tr>
            <th>{{v.name}}</th>
            <th>{{v.size_gigabytes}}</th>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      {% endif %}
	  
	  <p><pre>Refreshed at {{time}}</pre></p>
	</div>
  </body>
</html>

